html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

header {
	box-sizing: border-box; 
	background-color: #181425;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
	padding-left: 2em;
	padding-right: 2em;
    position: fixed; /* Fixed positioning relative to the viewport */
    top: 0; /* Align the top edge of the header with the top of the viewport */
    left: 0; /* Align the left edge of the header with the left of the viewport */
    width: 100%; /* Make the header full width */
    z-index: 1000; /* Ensures the header stays on top of other content */
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Tahoma', sans-serif;
	background-color: #262b44;
    background-image: url("Images/demoReel2.gif");
    background-size: cover; /* Cover the entire viewport */
    background-position: center; /* Center the background */
    background-repeat: no-repeat; /* Do not repeat the image */
	background-attachment: fixed;
}


/* Style all anchor elements */
a {
    font-size: 16px; /* Set the font size for links */
    color: #63c74d; /* Set the color for links */
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  a {
    font-size: 20px; /* Larger font size for readability on small screens */
    /* Other styles */
  }

}

.header-section {
    display: flex;
    align-items: center;
}



/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
	#logo {
    width: 0px; /* Larger font size for readability on small screens */
	padding: 0px;
	display: none;
    /* Other styles */
  }
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
	#hidelink {
    width: 0px; /* Larger font size for readability on small screens */
	padding: 0px;
	display: none;
    /* Other styles */
  }
}

.header-section a {
	padding-left: 8px;	
	padding-right: 8px;	
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  .header-section img {

  }
}

#navigation ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

#navigation ul li {
    margin: 0 10px;
}

/* Style all anchor elements */
a {
    font-size: 16px; /* Set the font size for links */
    color: #63c74d; /* Set the color for links */
    font-weight: bold; /* Make the links bold */
    text-decoration: none; /* Optional: removes the underline from links */
}



/* Style for links on hover */
a:hover {
    color: #5fff3b; /* Change the color when hovered */
}

/* Ensure that the link styles are applied to navigation as well */
#navigation a {
    font-size: 16px;
    color: #63c74d;
    font-weight: bold; /* Make the navigation links bold */
    text-decoration: none; /* Optional: removes the underline from links */
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  #navigation {
    font-size: 20px; /* Larger font size for readability on small screens */
    /* Other styles */
  }
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  #navigation a {
    font-size: 20px; /* Larger font size for readability on small screens */
    /* Other styles */
  }
}

/* Navigation links hover state */
#navigation a:hover {
    color: #5fff3b; /* Change color on hover */
}

main {
    flex: 1;
    text-align: center;
    padding: 20px;
	padding-top: 100px;
	
}
/*181425*/

.intro {
	color: #ffffff;
	text-align: center;
	text-shadow: 2px 2px 1px rgba(0, 0, 0, 1);
}

footer {
	z-index: 1;
	color: #63c74d;
    text-align: center;
    flex-shrink: 0;
    padding: 1em;
	padding-top: 2em;
	background-image: url('Images/border-bottom.png'); /* Path to your tileable image */
    background-repeat: repeat-x; /* Repeat horizontally */
    background-size: auto 100%; /* Stretch the image to the full height of the container */
    /* ... other styles for header and footer ... */
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
	footer {
    font-size: 18px; /* Larger font size for readability on small screens */
    /* Other styles */
  }
}

#large-logo {
    display: block; /* Ensures the image is a block-level element */
    margin: 0 auto; /* Centers the image horizontally */
    height: 184px; /* Sets the image height to be 20% of the viewport height */
    max-width: 100%; /* Ensures the image is never wider than its container */
}

.blog-title {
	color: #63c74d;
	text-align: left;
	justify-content: center;
	text-shadow: 2px 2px 1px rgba(0, 0, 0, 1);
	background-color: #262b44;
	padding: 16px;
}

.blog-title hr {
	color: #63c74d;
	drop-shadow: 2px 2px 1px rgba(0, 0, 0, 1);
}

.post {
    display: flex;
	justify-content: center;
	background-color: #262b44;
	padding: 16px;
}

.content-container {
	color: #ffffff;
    display: grid;
	grid-template-columns: 1fr; /* One column layout */
	width: 60%; /* Taking up 70% of the screen width */
    margin-left: auto; /* Centers the container horizontally */
    margin-right: auto; /* Centers the container horizontally */
    text-align: left;
	justify-content: center;
	gap-top: 16px;
	padding-top: 16px;
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  .content-container {
    width: 100%; /* Full width on small screens */
    font-size: 18px; /* Larger font size for readability on small screens */
    /* Other styles */
  }
}

.text-column {
    flex: 1 1 50%; /* Flex-grow, flex-shrink, flex-basis */
    max-width: 60%; /* Ensures the text column does not exceed 50% width */
	padding-left: 16px;
}

.images-column {
    flex: 1; /* Flex-grow, flex-shrink, flex-basis */
    max-width: 40%; /* Ensures the image column does not exceed 25% width */
	padding: 16px;
}

.responsive-image {
    width: 100%; /* Makes the image responsive */
    height: auto; /* Maintains the aspect ratio */
    max-width: 100%; /* Image is limited to the width of its container */
	padding-bottom: 16px;
}

/* Style for the modal backdrop */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1000; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Style for the modal content */
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    
}

/* Style for the close button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

/* Add animation - zoom in the modal */
.modal-content {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
}

#caption {
    text-align: center; /* Center aligns the text */
    color: white; /* Set the text color */
    font-size: 16px; /* Adjust font size as needed */
    padding: 8px 0; /* Add some padding above and below the text */
    max-width: 80%; /* Set a max width if needed */
    margin: auto; /* Center the caption container */
}

.gallery {
	margin-top: 8px;
	width: 100%; /* Gallery width */
	color: #ffffff;
    display: grid;
	width: 100%; /* Taking up 70% of the screen width */
    margin-left: auto; /* Centers the container horizontally */
    margin-right: auto; /* Centers the container horizontally */
    text-align: left;
	justify-content: center;
	background-color: #262b44;
}

.gallery-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 equal columns */
    width: 100%; /* Gallery width */
	padding: 16px;
    margin: auto; /* Center the gallery */
    gap: 10px; /* Space between columns */
}

.screenshots img, .videos iframe {
    width: 95%; /* Make images and videos take full width of their column */
	padding-top: 8px;
}

/* Optional: Responsive adjustments */
@media (max-width: 768px) {
    .gallery-container {
        grid-template-columns: 1fr; /* Stack columns on smaller screens */
    }
}


.video-container {
    position: relative;
    margin-bottom: 20px; /* Space between videos */
}



/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
  .div-class {
    width: 100%; /* Full width on small screens */
    font-size: 18px; /* Larger font size for readability on small screens */
    /* Other styles */
  }
}

#bgvid {
	width: 100%;
	height: auto;
	position: fixed;
	bottom: 0;
	left: 0;
	z-index: -1;
}

/* Media query for screens less than 600 pixels wide */
@media (max-width: 1000px) {
	#bgvid {
	width: auto;
	height: 100vh;
	position: fixed;
	top: 0;
	left: 0;
	z-index: -1;
	padding: 0px;
	padding-bottom: 5em;
    /* Other styles */
  }
}

@media (max-aspect-ratio: 16/9) {
	#bgvid {
		width: auto;
		height: 100vh;
		position: fixed;
		left: 50%;
		transform: translateX(-50%);
		top: 0;
		z-index: -1;
		padding: 0px;
		padding-bottom: 0;
	}
}


